[plt-scheme] Running PLT old software on Linux 2.6 kernels

From: Alex Ott (ott at jet.msk.su)
Date: Thu Jan 27 02:06:52 EST 2005

Hello all

>>>>> "JD" == Jean-Baka Domelevo writes:
 JD>   For list-related administrative tasks:
 JD> http://list.cs.brown.edu/mailman/listinfo/plt-scheme

 JD> Hello everybody !  I'm exhausted. For educational and professional
 JD> reasons, I have to make DrScheme 103p1 work on a 2.6 linux kernel (I
 JD> am running a Debian). The problem is that my 103p1 (the one proposed
 JD> as a binary package on the PLT website) segfaults immediately when
 JD> launched on that kernel. My previous kernel was a 2.4, where the PLT
 JD> 103p1 software ran fine. Can anybody provide an explanation about that
 JD> ?  Thanks.

This is problem with modern glibc & old Boehm GC.  I had backported GC from
plt20x to plt103p1.  You can obtain patch from my page at

 JD> P.S. I precise that *any* PLT 103p1 soft (mred, mzscheme, etc) behaves
 JD> similarly.

With best wishes, Alex Ott
Jet Infosystems,       http://www.jetinfosoft.ru/
                       +7 (095) 411 76 01

Posted on the users mailing list.